Liferay.Loader.define("asset-publisher-web@2.0.132/js/CategorySelector.soy", ['module', 'exports', 'require', 'frontend-js-metal-web$metal-component', 'frontend-js-metal-web$metal-soy'], function (module, exports, require) {
  var define = undefined;
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports["default"] = exports.templates = exports.comliferayassetpublisherwebCategorySelector = void 0;

  var _metalComponent = _interopRequireDefault(require("frontend-js-metal-web$metal-component"));

  var _metalSoy = _interopRequireDefault(require("frontend-js-metal-web$metal-soy"));

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { "default": obj };
  }

  function _typeof(obj) {
    if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
      _typeof = function _typeof(obj) {
        return typeof obj;
      };
    } else {
      _typeof = function _typeof(obj) {
        return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
      };
    }return _typeof(obj);
  }

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  function _possibleConstructorReturn(self, call) {
    if (call && (_typeof(call) === "object" || typeof call === "function")) {
      return call;
    }return _assertThisInitialized(self);
  }

  function _assertThisInitialized(self) {
    if (self === void 0) {
      throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }return self;
  }

  function _getPrototypeOf(o) {
    _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
      return o.__proto__ || Object.getPrototypeOf(o);
    };return _getPrototypeOf(o);
  }

  function _inherits(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
      throw new TypeError("Super expression must either be null or a function");
    }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
  }

  function _setPrototypeOf(o, p) {
    _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
      o.__proto__ = p;return o;
    };return _setPrototypeOf(o, p);
  }

  var templates;
  exports.templates = templates;
  goog.loadModule(function (exports) {
    var soy = goog.require('soy');

    goog.require('soydata');

    // This file was automatically generated from CategorySelector.soy.
    // Please don't edit this file by hand.

    /**
     * @fileoverview Templates in namespace com.liferay.asset.publisher.web.CategorySelector.
     * @public
     */

    goog.module('com.liferay.asset.publisher.web.CategorySelector.incrementaldom');

    goog.require('goog.soy.data.SanitizedContent');

    var incrementalDom = goog.require('incrementaldom');

    goog.require('soy.asserts');

    goog.require('soy.idom');

    /**
     * @param {{
     *  index: number,
     *  namespace: (!goog.soy.data.SanitizedContent|null|string|undefined)
     * }} opt_data
     * @param {Object<string, *>=} opt_ijData
     * @param {Object<string, *>=} opt_ijData_deprecated
     * @return {void}
     * @suppress {checkTypes}
     */

    function $render(opt_data, opt_ijData, opt_ijData_deprecated) {
      opt_ijData = opt_ijData_deprecated || opt_ijData;
      /** @type {number} */

      var index = soy.asserts.assertType(goog.isNumber(opt_data.index), 'index', opt_data.index, 'number');
      /** @type {!goog.soy.data.SanitizedContent|null|string|undefined} */

      var namespace = soy.asserts.assertType(opt_data.namespace == null || goog.isString(opt_data.namespace) || opt_data.namespace instanceof goog.soy.data.SanitizedContent, 'namespace', opt_data.namespace, '!goog.soy.data.SanitizedContent|null|string|undefined');
      incrementalDom.elementOpenStart('div');
      incrementalDom.attr('id', namespace + 'assetCategoriesSelector' + index);
      incrementalDom.elementOpenEnd();
      incrementalDom.elementOpenStart('input');
      incrementalDom.attr('name', namespace + 'queryCategoryIds' + index);
      incrementalDom.attr('id', namespace + 'queryCategoryIds' + index);
      incrementalDom.attr('ref', 'hiddenInput');
      incrementalDom.attr('type', 'hidden');
      incrementalDom.elementOpenEnd();
      incrementalDom.elementClose('input');
      incrementalDom.elementClose('div');
    }

    exports.render = $render;
    /**
     * @typedef {{
     *  index: number,
     *  namespace: (!goog.soy.data.SanitizedContent|null|string|undefined)
     * }}
     */

    $render.Params;

    if (goog.DEBUG) {
      $render.soyTemplateName = 'com.liferay.asset.publisher.web.CategorySelector.render';
    }

    exports.render.params = ["index", "namespace"];
    exports.render.types = {
      "index": "int",
      "namespace": "string"
    };
    exports.templates = templates = exports;
    return exports;
  });

  var comliferayassetpublisherwebCategorySelector =
  /*#__PURE__*/
  function (_Component) {
    _inherits(comliferayassetpublisherwebCategorySelector, _Component);

    function comliferayassetpublisherwebCategorySelector() {
      _classCallCheck(this, comliferayassetpublisherwebCategorySelector);

      return _possibleConstructorReturn(this, _getPrototypeOf(comliferayassetpublisherwebCategorySelector).apply(this, arguments));
    }

    return comliferayassetpublisherwebCategorySelector;
  }(_metalComponent["default"]);

  exports.comliferayassetpublisherwebCategorySelector = comliferayassetpublisherwebCategorySelector;

  _metalSoy["default"].register(comliferayassetpublisherwebCategorySelector, templates);

  var _default = templates;
  /* jshint ignore:end */

  exports["default"] = _default;
  //# sourceMappingURL=CategorySelector.soy.js.map
});
//# sourceMappingURL=CategorySelector.soy.js.map